Bug 82536 - u_current.h:72: undefined reference to `__imp__glapi_Dispatch'
Summary: u_current.h:72: undefined reference to `__imp__glapi_Dispatch'
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords: bisected, regression
Depends on:
Blocks:
 
Reported: 2014-08-13 00:36 UTC by Vinson Lee
Modified: 2014-08-14 14:53 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2014-08-13 00:36:53 UTC
mesa: 52901ec2615761390f5ef97b11516dae330d27d1 (master 10.3.0-devel)

MinGW build error

  CCLD     libglapi.la
.libs/entry.o: In function `u_current_get_table':
src/mapi/shared-glapi/../../../src/mapi/u_current.h:72: undefined reference to `__imp__glapi_Dispatch'


2af28040d639dddbb7c258981a00eaf3dfcbcf03 is the first bad commit
commit 2af28040d639dddbb7c258981a00eaf3dfcbcf03
Author: Alexandre Demers <alexandre.f.demers@gmail.com>
Date:   Fri Nov 22 20:06:20 2013 -0500

    configure: Fix --enable-XX-bit flags by moving LT_INIT where it should
    
    Moving LT_INIT after setting completely (AM_)C(XX)FLAGS and LDFLAGS.
    LT_INIT needs them as they are expected to be used all along
    the compilation when the macro runs its tests to determine among other
    things the host type.
    
    For info, see http://www.gnu.org/software/libtool/manual/html_node/LT_005fINIT.html
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=50754
    Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
    Tested-by: Tapani Palli <lemody@gmail.com>
    Reviewed-by: Emil Velikov <emil.l.velikov@gmail.com>

:100644 100644 cd02babd67350dba02874e6c598da2b3b99724f5 b27cfb3f41b4c348406cc83d1030da103d7095bb M	configure.ac
bisect run success
Comment 1 Emil Velikov 2014-08-13 00:52:17 UTC
Vinson if this report is automated can you add an option to provide the configure parameters by default ? Is this the original mingw or mingw-w64, which version ? 

Thanks
Comment 2 Vinson Lee 2014-08-13 00:58:01 UTC
./autogen.sh --enable-debug --enable-texture-float \
--host=x86_64-w64-mingw32 \
--disable-glx \
--disable-dri \
--disable-egl \
--enable-static \
--disable-gallium-llvm \
--with-dri-drivers=swrast \
--with-gallium-drivers=swrast,svga

gmake

$ x86_64-w64-mingw32-gcc --version
x86_64-w64-mingw32-gcc (GCC) 4.8.3 20140522 (Fedora MinGW 4.8.3-1.fc20)
Copyright (C) 2013 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
Comment 3 Emil Velikov 2014-08-14 14:53:47 UTC
The offending commit has been reverted.

commit 957a28e63c8a205d01c48cb8fa03c3c1abe4b499
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Wed Aug 13 17:55:39 2014 +0100

    Revert "configure: Fix --enable-XX-bit flags by moving LT_INIT where it should"

    This reverts commit 2af28040d639dddbb7c258981a00eaf3dfcbcf03.


bug/show.html.tmpl processed on Feb 24, 2017 at 01:42:35.
(provided by the Example extension).